"omxd(1) --  daemon to maintain a playlist and play it via omxplayer\n"
"===================================================================\n"
"\n"
"## SYNOPSIS\n"
"\n"
" service omxd start|stop|restart\n"
" omxd [-d]\n"
"\n"
" echo <command> [abs-path] > /var/run/omxctl\n"
" omxd <command> [rel-path]\n"
"\n"
"## DESCRIPTION\n"
"\n"
"The omxd daemon plays your playlist even if you've disconnected from your\n"
"Raspberry Pi, to allow the easy implementation of various media centre apps.\n"
"After install, omxd is started automatically at boot.\n"
"\n"
"## OPTIONS\n"
"\n"
" -h	Print this help text\n"
" -d	Start daemon with debug logging enabled\n"
"\n"
"## COMMANDS\n"
"\n"
"omxd listens for commands through the /var/run/omxctl FIFO,\n"
"please write one command at a time into it, for example:\n"
"\n"
"echo A /home/foo/bar.mp3 > /var/run/omxctl\n"
"\n"
"Playlist commands: Files shall be absolute paths or URLs playable by omxplayer.\n"
"\n"
" i file	insert to playlist before current item\n"
" a file	add to playlist after current item\n"
" A file	append to end of playlist\n"
" I file	interrupt playlist, play file on default output, then continue playlist\n"
" H file	interrupt playlist, play file on HDMI, then continue playlist\n"
" J file	interrupt playlist, play file on Jack, then continue playlist\n"
" L file	pLay file on default after current item, then continue playlist\n"
" .	replay current item\n"
" h	change default output to HDMI\n"
" j	change default output to Jack\n"
" n	next\n"
" N	previous\n"
" g num	go to nth track, counted from zero\n"
" d	next directory\n"
" D	previous directory\n"
" x	delete current item from playlist, play next\n"
" x num	delete nth item from playlist, counted from zero\n"
" X	delete entire playlist, terminate playback\n"
" u	toggle between unsorted/sorted playback (shuffle)\n"
"\n"
"Other commands control the running omxplayer instance.\n"
"\n"
" f	forward 30s\n"
" r	rewind  30s\n"
" F	forward 600s\n"
" R	rewind  600s\n"
" p	play/pause\n"
" P	pause playlist, stop omxplayer\n"
" k	next audio stream\n"
" o	next chapter\n"
" m	next subtitle stream\n"
" s	toggle subtitles\n"
" -	volume down\n"
" +	volume up\n"
"\n"
"Client commands:\n"
"\n"
" S	show what's playing now\n"
"\n"
"## CLIENT MODE\n"
"\n"
"You can call omxd with the above commands as arguments, it writes them\n"
"into /var/run/omxctl, but translates relative paths into absolute ones\n"
"and performs commands recursively if you specify a directory as the file.\n"
"\n"
"## FILES\n"
"\n"
"When you start the omxd daemon as an unprivileged user the files below\n"
"will be created in the current directory instead of the locations below,\n"
"to allow easier testing.\n"
"\n"
"     /var/run/omxctl	FIFO to write commands into\n"
"     /var/local/omxplay	playlist file, actual item indicated by >\n"
"     /var/log/omxlog	log file\n"
"     /etc/omxd.conf	defines user to run omxplayer: user=foo\n"
"     /etc/init.d/omxd	init script\n"
".\n"
